Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortletServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.bea.netuix.servlets.manager.UIServlet
                  com.bea.netuix.servlets.manager.PortletServlet

All Implemented Interfaces:
  com.bea.netuix.nf.container.jsp.JspContextTreeLookup, Serializable, Servlet, ServletConfig

public class PortletServlet
extends com.bea.netuix.servlets.manager.UIServlet

Front door servlet for standalone portlets.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.manager.UIServlet
`PATH_INFO, PROFILE_ON, PROFILE_OUTPUT_FREQUENCY, SERVLET_PATH, STREAM_REQUEST_FILE, STREAMING_JSPX, STREAMING_JSPX_FILE_PARAM`

Constructor Summary
`PortletServlet()`

Method Summary
`void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`void` | `init(ServletConfig servletConfig)`

Methods inherited from class com.bea.netuix.servlets.manager.UIServlet
`createJspContext, getDefaultPackage, getDefaultPageName, getTree, getTree, getTreeForUrl, getTreeForUrl, init, initControlTreeWalkerPool, processControlTree, runLifecycle, service, setContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServlet

    public PortletServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Throws:
    `ServletException`
    `IOException`

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       IOException

  Throws:
    `ServletException`
    `IOException`

### init

    public void init(ServletConfig servletConfig)
              throws ServletException

  Throws:
    `ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved